Bug 997002 - long_desc not included in query
long_desc not included in query
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-bugzilla (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 09:09 EDT by Steve Tyler
Modified: 2014-04-08 20:56 EDT (History)
6 users (show)

See Also:
Fixed In Version: python-bugzilla-1.0.0-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-08 20:56:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Tyler 2013-08-14 09:09:10 EDT
Description of problem:

The long_desc is not included in the query. Both of these querys return 697 bugs, but the first query should return no bugs:

$ bugzilla query -c anaconda -t NEW,ASSIGNED --long_desc="no such string $(uuidgen)" | wc -l
697

$ bugzilla query -c anaconda -t NEW,ASSIGNED | wc -l
697

Version-Release number of selected component (if applicable):
python-bugzilla-0.9.0-1.fc19.noarch

How reproducible:
Always.

Steps to Reproduce:
1. $ bugzilla query -c anaconda -t NEW,ASSIGNED --long_desc="no such string $(uuidgen)" | wc -l

2. $ bugzilla query -c anaconda -t NEW,ASSIGNED | wc -l

Actual results:
Both querys return 697 bugs.

Expected results:
The first query should return no bugs.

Additional info:

The "--debug" option shows that long_desc is not part of the query:

$ bugzilla --debug query -c anaconda -t NEW,ASSIGNED --long_desc="no such string $(uuidgen)" 2>&1 | less
...
[05:58:59] DEBUG (base:924) Calling query with: {'bug_status': ['NEW', 'ASSIGNED'], 'component': ['anaconda'], 'include_fields': ['assigned_to', 'id', 'status', 'summary']}
...
Comment 1 Cole Robinson 2013-08-15 11:07:59 EDT
Thanks for the report, fixed upstream:

https://git.fedorahosted.org/cgit/python-bugzilla.git/commit/?id=905f43840a39e9891ce077abbac91e293e5eec21
Comment 2 Steve Tyler 2013-08-15 12:01:28 EDT
Thanks. I'm trying to test it, but I get the following error. Do I need to configure anything else?

$ PYTHONPATH=$(pwd)/bugzilla ./bin/bugzilla query -c anaconda -t NEW,ASSIGNED --long_desc="no such string $(uuidgen)"

Server error: <Fault 53: 'long_desc is not a valid parameter for the Bugzilla::Bug::match function.'>

The directory contains bin/ and bugzilla/ as extracted from the tar file.

python-bugzilla-905f43840a39e9891ce077abbac91e293e5eec21.tar.bz2
downloaded from:
https://git.fedorahosted.org/cgit/python-bugzilla.git/commit/?id=905f43840a39e9891ce077abbac91e293e5eec21
Comment 3 Steve Tyler 2013-08-15 12:08:01 EDT
Pylint reports several errors. This one is a definite positive:
E:691,56:_convert_to_outputformat: Undefined variable 'opt'

$ pylint -E bugzilla 
No config file found, using default configuration
************* Module bugzilla
E: 84,47:setup_parser: Module 'bugzilla' has no '__version__' member
E: 93,50:setup_parser: Module 'bugzilla' has no 'classlist' member
E:436,16:generate_man_page: Module 'bugzilla' has no '__version__' member
E:691,56:_convert_to_outputformat: Undefined variable 'opt'
E:1025,18:main: Module 'bugzilla' has no 'Bugzilla' member
E:1026,30:main: Module 'bugzilla' has no 'classlist' member
E:1030,55:main: Module 'bugzilla' has no 'classlist' member
Comment 4 Steve Tyler 2013-08-15 12:18:52 EDT
(In reply to Steve Tyler from comment #3)
> Pylint reports several errors. This one is a definite positive:
> E:691,56:_convert_to_outputformat: Undefined variable 'opt'
...

Bug 997575 - [pylint] E:685,56:_convert_to_outputformat: Undefined variable 'opt'
Comment 5 Cole Robinson 2013-08-15 12:29:34 EDT
Running from git is a bit annoying, you have to do

PYTHONPATH=. bin/bugzilla ...
Comment 6 Steve Tyler 2013-08-15 13:41:20 EDT
Thanks. That works as expected:

$ PYTHONPATH=. ./bin/bugzilla query -c anaconda -t NEW,ASSIGNED --long_desc="no such string $(uuidgen)" | wc -l
0
$ PYTHONPATH=. ./bin/bugzilla query -c anaconda -t NEW,ASSIGNED | wc -l
698

$ PYTHONPATH=. ./bin/bugzilla --debug query -c anaconda -t NEW,ASSIGNED --long_desc="no such string $(uuidgen)"
...
[10:37:17] DEBUG (base:982) Calling Bug.search with: {'longdesc_type': 'allwordssubstr', 'query_format': 'advanced', 'bug_status': ['NEW', 'ASSIGNED'], 'component': ['anaconda'], 'longdesc': 'no such string 146ea272-2071-4f1b-bac9-c9fc7a2c2486', 'include_fields': ['assigned_to', 'id', 'status', 'summary']}
...

It's "long_desc" on the command-line and "longdesc" in the query? Ugh!
Comment 7 Fedora Update System 2014-03-25 18:44:26 EDT
python-bugzilla-1.0.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-bugzilla-1.0.0-1.fc19
Comment 8 Fedora Update System 2014-03-27 00:47:23 EDT
Package python-bugzilla-1.0.0-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-bugzilla-1.0.0-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-4391/python-bugzilla-1.0.0-1.fc19
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2014-03-27 13:13:46 EDT
python-bugzilla-1.0.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-bugzilla-1.0.0-2.fc19
Comment 10 Fedora Update System 2014-04-08 20:56:07 EDT
python-bugzilla-1.0.0-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.